<?php function musexpress_admin_display() { ?>
    <div class="wrap">
        <h1>MusexPress</h1>
        <p>List of all your MusexPress installed plugins</p>
        <?php foreach (Musexpress_Admin::$musexpress_installed_plugins as $plugin): ?>
            <?php if (is_plugin_active($plugin)): ?>
                <?php
                $plugin_data = get_file_data(WP_PLUGIN_DIR . "/$plugin", array(
                    'name'              => 'Plugin Name',
                    'description'       => 'Description',
                    'version'           => 'Version',
                    'documentation_uri' => 'Documentation URI'
                ));
                ?>
                <div class="mxp-card" style="text-align:center">
                    <div class="mxp-card-header"><strong><?= $plugin_data['name'] ?></strong></div>
                    <img src="<?= plugins_url(dirname($plugin)) . '/image.jpg' ?>" alt="<?= $plugin_data['name'] ?> - Logo" />
                    <div class="mxp-card-block">
                        <p class="mxp-card-text"><?= $plugin_data['description'] ?></p>
                        <p><strong>Version:</strong> <?= $plugin_data['version'] ?></p>
                    </div>
                    <div class="mxp-card-footer">
                        <a href="<?= $plugin_data['documentation_uri'] ?>" target="_blank" title="Open the plugin documentation in a new page" class="button-primary">Documentation</a>
                    </div>
                </div>
            <?php endif; ?>
        <?php endforeach;?>
    </div>
<?php } ?>
