<?php function musexpress_official_plugins_display() { ?>
    <div class="wrap">
        <h1>MusexPress Official Plugins
            <?php
            $url_query_args = array(
                'musexpress_action' => 'update_official_plugins_list'
            );

            $url_query_args['nonce'] = wp_create_nonce($url_query_args['musexpress_action'] . '_nonce');
            ?>
            <a href="<?= add_query_arg($url_query_args) ?>" class="page-title-action">Update List</a>
        </h1>
        <p>List of all MusexPress official plugins</p>
        <?php foreach (Musexpress_Admin::get_musexpress_plugins() as $plugin): ?>
            <div class="mxp-card" style="text-align:center">
                <div class="mxp-card-header"><strong><?= $plugin['name'] ?></strong></div>
                <img src="<?= MUSEXPRESS_UPDATE_SERVER_URL . '/plugins/' . $plugin['slug'] . '/' . $plugin['slug'] . '.jpg' ?>" alt="<?= $plugin['name'] ?> - Logo" />
                <div class="mxp-card-block">
                    <p class="mxp-card-text"><?= $plugin['description'] ?></p>
                    <p><strong>Version:</strong> <?= $plugin['version'] ?></p>
                </div>
                <div class="mxp-card-footer">
                    <a href="<?= $plugin['plugin_uri'] ?>" target="_blank" title="Open the plugin documentation in a new page" class="button-primary">Download</a>
                </div>
            </div>
        <?php endforeach;?>
    </div>
<?php } ?>
